name: CI
on:
  push:
    branches: [ main, dev ]
  pull_request:
    branches: [ main, dev ]

jobs:
  tests:
    runs-on: ubuntu-latest
    container: catthehacker/ubuntu:rust-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4

      - name: Install tytanic
        run: cargo binstall tytanic@0.2.2

      - name: Run test suite
        run: tt run

      - name: Archive artifacts
        uses: https://gitea.com/actions/gitea-upload-artifact@v4
        if: always()
        with:
          name: artifacts
          path: |
            tests/**/diff/*.png
            tests/**/out/*.png
            tests/**/ref/*.png
          retention-days: 5